AbstractParser (JGraph X 2.1.0.7 API Specification)
Date: 2013-07-31

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mxgraph.util.svg
Class AbstractParser

    java.lang.Object
      com.mxgraph.util.svg.AbstractParser

All Implemented Interfaces:
  Parser

Direct Known Subclasses:
  NumberParser

    public abstract class AbstractParser

extends Object
implements Parser

This class is the superclass of all parsers. It provides localization and error handling methods.

Field Summary
`static String` | `BUNDLE_CLASSNAME` The default resource bundle base name.
`protected int` | `current` The current character.
`protected ErrorHandler` | `errorHandler` The error handler.
`protected NormalizingReader` | `reader` The normalizing reader.

Constructor Summary
`AbstractParser()`

Method Summary
`protected String` | `createErrorMessage(String key, Object[] args)` Returns a localized error message.
`protected abstract void` | `doParse()` Method responsible for actually parsing data after AbstractParser has initialized itself.
`protected String` | `getBundleClassName()` Returns the resource bundle base name.
`int` | `getCurrent()` Returns the current character value.
`void` | `parse(String s)` Parses the given string.
`protected void` | `reportCharacterExpectedError(char expectedChar, int currentChar)` simple api to call often reported error.
`protected void` | `reportError(String key, Object[] args)` Signals an error to the error handler.
`protected void` | `reportUnexpectedCharacterError(int currentChar)` simple api to call often reported error.
`void` | `setErrorHandler(ErrorHandler handler)` Allow an application to register an error event handler.
`protected void` | `skipCommaSpaces()` Skips the whitespaces and an optional comma.
`protected void` | `skipSpaces()` Skips the whitespaces in the current reader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUNDLE_CLASSNAME

    public static final String BUNDLE_CLASSNAME

  The default resource bundle base name.

  See Also:
    Constant Field Values

### errorHandler

    protected ErrorHandler errorHandler

  The error handler.

### reader

    protected NormalizingReader reader

  The normalizing reader.

### current

    protected int current

  The current character.

Constructor Detail

### AbstractParser

    public AbstractParser()

Method Detail

### getCurrent

    public int getCurrent()

  Returns the current character value.

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Allow an application to register an error event handler.

  If the application does not register an error event handler, all error events reported by the parser will cause an exception to be thrown.

  Applications may register a new or different handler in the middle of a parse, and the parser must begin using the new handler immediately.

  Specified by:
    `setErrorHandler` in interface `Parser`
  Parameters:
    `handler` - The error handler.

### parse

    public void parse(String s)
               throws ParseException

  Parses the given string.

  Specified by:
    `parse` in interface `Parser`
  Throws:
    `ParseException`

### doParse

    protected abstract void doParse()
                             throws ParseException,
                                    IOException

  Method responsible for actually parsing data after AbstractParser has initialized itself.

  Throws:
    `ParseException`
    `IOException`

### reportError

    protected void reportError(String key,
                               Object[] args)
                        throws ParseException

  Signals an error to the error handler.

  Parameters:
    `key` - The message key in the resource bundle.
    `args` - The message arguments.
  Throws:
    `ParseException`

### reportCharacterExpectedError

    protected void reportCharacterExpectedError(char expectedChar,
                                                int currentChar)

  simple api to call often reported error. Just a wrapper for reportError().

  Parameters:
    `expectedChar` - what caller expected
    `currentChar` - what caller found

### reportUnexpectedCharacterError

    protected void reportUnexpectedCharacterError(int currentChar)

  simple api to call often reported error. Just a wrapper for reportError().

  Parameters:
    `currentChar` - what the caller found and didnt expect

### createErrorMessage

    protected String createErrorMessage(String key,
                                        Object[] args)

  Returns a localized error message.

  Parameters:
    `key` - The message key in the resource bundle.
    `args` - The message arguments.

### getBundleClassName

    protected String getBundleClassName()

  Returns the resource bundle base name.

  Returns:
    BUNDLE_CLASSNAME.

### skipSpaces

    protected void skipSpaces()
                       throws IOException

  Skips the whitespaces in the current reader.

  Throws:
    `IOException`

### skipCommaSpaces

    protected void skipCommaSpaces()
                            throws IOException

  Skips the whitespaces and an optional comma.

  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JGraph X 2.1.0.7
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2010 Gaudenz Alder. All rights reserved.